package com.bonus.core.customer.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/** @deprecated */
@TableName("cust_deduction_conf")
@ApiModel("个人扣款方式配置")
@Deprecated
@Data
public class CustDeductionConf extends Model<CustDeductionConf> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("设备码")
   private String sn;
   @ApiModelProperty("扣款方式 1个人钱包 2补贴 4红包")
   private Integer deductionType;
   @ApiModelProperty("当前顺序")
   private Integer deductionOrder;
   @ApiModelProperty("配置使用场景 1个人 2设备")
   private Integer userType;
   @ApiModelProperty("是否启用 1启用 2禁用")
   private Integer ifUse;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   private String crby;
   @ApiModelProperty("创建时间")
   private Date crtime;
   @ApiModelProperty("更新人")
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   @ApiModelProperty("更新时间")
   private Date uptime;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSn() {
      return this.sn;
   }

   public Integer getDeductionType() {
      return this.deductionType;
   }

   public Integer getDeductionOrder() {
      return this.deductionOrder;
   }

   public Integer getUserType() {
      return this.userType;
   }

   public Integer getIfUse() {
      return this.ifUse;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public Date getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSn(final String sn) {
      this.sn = sn;
   }

   public void setDeductionType(final Integer deductionType) {
      this.deductionType = deductionType;
   }

   public void setDeductionOrder(final Integer deductionOrder) {
      this.deductionOrder = deductionOrder;
   }

   public void setUserType(final Integer userType) {
      this.userType = userType;
   }

   public void setIfUse(final Integer ifUse) {
      this.ifUse = ifUse;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final Date crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final Date uptime) {
      this.uptime = uptime;
   }




}
